Bug 1015695 - MapMessage does not accept null values
MapMessage does not accept null values
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.2.0
Assigned To: Clebert Suconic
Martin Svehla
Russell Dickenson
:
Depends On: 1016141
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 16:59 EDT by Fernando Nasser
Modified: 2013-12-15 11:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:13:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2013-10-04 16:59:28 EDT
Description of problem:

MapMessage m = session.createMapMessage();
m.setObject("value", null);

results in a 

javax.jms.MessageFormatException: Invalid object type.


Version-Release number of selected component (if applicable):

2.3.1

How reproducible:

Always

Steps to Reproduce:
1. Try and set the value of a property in a MapMessage to null 
2.
3.

Actual results:

MessageFormatException


Expected results:

property value set to null
Additional info:
Comment 1 Fernando Nasser 2013-10-04 17:12:02 EDT
Assigned to Justin at Clebert's request
Comment 2 Clebert Suconic 2013-10-05 11:20:15 EDT
I already did it actually.. boredom on friday night
Comment 3 Clebert Suconic 2013-10-05 11:20:45 EDT
https://github.com/hornetq/hornetq/pull/1319
Comment 4 Fernando Nasser 2013-10-06 11:40:41 EDT
I am setting the devel_ack on behalf of Clebert (who has already backported the fix)
Comment 5 Fernando Nasser 2013-10-07 09:50:10 EDT
Hi Miroslav or Rosta,,

We have two options, 

1) cherry pick commit 8b6971d64d8153443bbbd15e063c1a3154ec0bbc from HQ 2.3.x branch and patch the 2.3.8-redhat-2 we have and create a 2.3.8-redhat-3

2) Get a 2.3.9 tag from Clebert.  He says:

[09:44]  <clebert> fnasser:  the fixes I have so far on 2.3.x are small risk

Can we go (2) or do you prefer we try (1)?
Comment 6 Clebert Suconic 2013-10-07 10:06:22 EDT
If we do a release of 2.3 now we would include these fixes:

https://bugzilla.redhat.com/show_bug.cgi?id=959641 - partial failure on RA
https://bugzilla.redhat.com/show_bug.cgi?id=1009409 - exceptions on shutdown with bridge
https://bugzilla.redhat.com/show_bug.cgi?id=1009530 - interrupt of shutdown
https://community.jboss.org/thread/232591 - fixing typo accordingly to user
HORNETQ-431 - Large Messages Files NOT DELETED on unbounded address (BZ TBD)

https://bugzilla.redhat.com/show_bug.cgi?id=1013884 Consumer.close() shouldn't fire redelivery check


https://bugzilla.redhat.com/show_bug.cgi?id=1013777 - Fixing intermittent failure on BackupSyncLargeMessageTest::testDeleteLargeMessages


All of them are minor fixes. Fixing tests or things that are unlikely to cause any disruption on the tests. 2.3.x is a stable branch for us after all.
Comment 7 Fernando Nasser 2013-10-07 10:16:42 EDT
We are probably also interested in #1009409 and #1013884 as well.
Comment 8 Miroslav Novak 2013-10-07 10:34:18 EDT
I'm ok with adding those fixes. 

Cheers,
Mirek
Comment 11 Martin Svehla 2013-10-17 05:13:31 EDT
Tested with EAP 6.2.0.ER6 / HornetQ 2.3.9.Final

Note You need to log in before you can comment on or make changes to this bug.